メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

「Trends by WOEID」エンドポイントは、Yahoo! Where On Earth ID (WOEID) で識別される特定の地理的な場所におけるトレンドトピックを返します。

概要

ロケーション別

サポート対象の任意のロケーションのトレンド

グローバルカバレッジ

国、都市、地域を網羅

リアルタイム

現在のトレンドトピック

エンドポイント

MethodEndpointDescription
GET/2/trends/by/woeid/:id指定した WOEID のトレンドを取得

代表的な WOEID

地域WOEID
世界1
アメリカ合衆国23424977
イギリス23424975
日本23424856
ニューヨーク2459115
ロサンゼルス2442047
ロンドン44418
東京1118370

リクエスト例

curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"

レスポンス例

{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}

はじめに

前提条件

パーソナライズされたトレンド

認証済みユーザーのトレンドを取得

APIリファレンス

エンドポイントの詳細ドキュメント